package com.tuoheng.admin.enums.code.inspectionfile;

/**
 * @Author ChengWang
 * @Date 2022/12/2
 */
public enum ListByDeptUserTypeEnum {

    QUERY_IS_FAILED(1100300, "获取数据失败"),
    USER_NAME_IS_NULL(1100301, "登录用户名为空"),
    USER_IS_NULL(1100302, "用户不存在"),
    INSPECTION_TYPE_LIST_IS_NULL(1100303, "问题列表为空"),
    INSPECTION_LIST_IS_NULL(1100304, "任务列表为空"),
    DEPT_ID_IS_NULL(1100305, "部门id为空"),
    QUESTION_ID_IS_NULL(1100306, "问题列表为空"),
    TENANT_ID_IS_NULL(1100307, "租户id为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    ListByDeptUserTypeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
